<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 订单评论
 */
class OrderComment extends Model
{
	use SoftDeletes;

	protected $table = 'order_comments';

    /**
     * @Author FelixYin
     * @description 评论所属订单
     */
    public function order()
    {
        return $this->belongsTo('App\Models\OrderInfo', 'order_id');
    }

    /**
     * @Author FelixYin
     * @description 评论所属会员
     */
    public function member()
    {
        return $this->belongsTo('App\Models\MemberUser', 'user_id');
    }

    /**
     * @Author FelixYin
     * @description 评论所属技师
     */
    public function coach()
    {
        return $this->belongsTo('App\Models\CoachUser', 'coach_id');
    }
}